Subject: Re: bug#22593: 'make check' fails

From: myglc2 <[email-masked]>
Date: Mon, 08 Feb 2016 23:11:22 -0500

[email-masked] (Ludovic Courtès) writes:

> myglc2 <[email-masked]> skribis:
>
>> tests/store.scm:705: FAIL verify-store
>> tests/store.scm:722: FAIL verify-store + check-contents
>
> Here we see two failures…
>
>> ============================================================================
>> Testsuite summary for GNU Guix 0.9.1
>> ============================================================================
>> # TOTAL: 59
>> # PASS:  59
>> # SKIP:  0
>> # XFAIL: 0
>> # FAIL:  0
>> # XPASS: 0
>> # ERROR: 0
>> ============================================================================
>
> … but this log shows zero failures.
>
> Could you run ‘make check’ again a see if the failures show up?  You can
> also start from a fresh state by running ‘rm -rf test-tmp’ in the build
> tree before ‘make check’.
>
> TIA,
> Ludo’.
I mis-read your email and failed to run 'make check' before ‘rm -rf
test-tmp’, so I don't have a response to your first request.  Apologies
for dropping the ball.

FWIW, I ran 'make check' twice before sending the first email. I
observed failures at the same point in each. I would send you the 2nd
earlier failure but unfortunately I discarded it. 

Finally, after ‘rm -rf test-tmp’, 'make check' completed with zero
failures.

Best, George